/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package interfacegrafica;

import static imagem.Imagem.verificaImagem;
import imagem.ImagemPgm;
import imagem.ImagemPpm;
import java.io.File;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileNameExtensionFilter;


/**
 *
 * @author hugo
 */
public class PrimeiraTela extends javax.swing.JFrame {

    /**
     * Creates new form primeiraTela
     */
    public PrimeiraTela() {
        initComponents();
        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        iconLabel = new javax.swing.JLabel();
        titleLabel = new javax.swing.JLabel();
        btnAbrir = new javax.swing.JButton();
        lblRodape = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Exercício de Programação 2");
        setResizable(false);

        iconLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Java_logo.png"))); // NOI18N
        iconLabel.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        titleLabel.setFont(new java.awt.Font("Serif", 1, 22)); // NOI18N
        titleLabel.setText("Aplicação de filtros e Esteganografia");
        titleLabel.setBorder(javax.swing.BorderFactory.createMatteBorder(1, 1, 1, 1, new java.awt.Color(0, 0, 204)));

        btnAbrir.setFont(new java.awt.Font("Dialog", 1, 18)); // NOI18N
        btnAbrir.setText("Abrir Imagem");
        btnAbrir.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        btnAbrir.setBorderPainted(false);
        btnAbrir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAbrirActionPerformed(evt);
            }
        });

        lblRodape.setFont(new java.awt.Font("Dialog", 0, 10)); // NOI18N
        lblRodape.setText("By: Hugo Alves");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(133, 133, 133)
                        .addComponent(titleLabel))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(34, 34, 34)
                        .addComponent(iconLabel))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(272, 272, 272)
                        .addComponent(btnAbrir, javax.swing.GroupLayout.PREFERRED_SIZE, 147, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(41, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(lblRodape))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(titleLabel)
                .addGap(38, 38, 38)
                .addComponent(btnAbrir, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 46, Short.MAX_VALUE)
                .addComponent(iconLabel)
                .addGap(29, 29, 29)
                .addComponent(lblRodape))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnAbrirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAbrirActionPerformed
        JFileChooser choose = new JFileChooser();
        choose.setFileFilter(new FileNameExtensionFilter(".ppm, .pgm", "ppm", "pgm"));
        choose.setAcceptAllFileFilterUsed(false);
        choose.showOpenDialog(this);
        
        try {
            File arquivo = choose.getSelectedFile();
            switch (verificaImagem(arquivo.getPath())) {
                case 1:
                    ImagemPgm pgm = new ImagemPgm(arquivo.getPath());
                    JanelaPgm interfacePgm = new JanelaPgm(pgm);
                    interfacePgm.setVisible(true);
                    dispose();
                    break;
                case 2:
                    ImagemPpm ppm = new ImagemPpm(arquivo.getPath());
                    JanelaPpm interfacePpm = new JanelaPpm(ppm);
                    interfacePpm.setVisible(true);
                    dispose();
                    break;
                default:
                    JOptionPane.showMessageDialog(null, "\nO tipo da imagem está incorreta.\nEscolha uma imagem válida.", "Arquivo inválido!", JOptionPane.ERROR_MESSAGE);
                    break;
            }
        }catch( NullPointerException npE ) {} catch (IOException ex) {
            Logger.getLogger(PrimeiraTela.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_btnAbrirActionPerformed

    /*
    public static void main(String args[]) {
        
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(PrimeiraTela.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(PrimeiraTela.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(PrimeiraTela.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(PrimeiraTela.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new PrimeiraTela().setVisible(true);
            }
        });
    }
*/

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAbrir;
    private javax.swing.JLabel iconLabel;
    private javax.swing.JLabel lblRodape;
    private javax.swing.JLabel titleLabel;
    // End of variables declaration//GEN-END:variables
}
